### Constructor

# Gio TlsPassword new

since: 2.30

#### Declaration

    GTlsPassword*
    g_tls_password_new (
      GTlsPasswordFlags flags,
      const gchar* description
    )

#### Description

Create a new `GTlsPassword` object.

Available since: 2.30

#### Parameters

`flags`

  Type: `GTlsPasswordFlags`

  The password flags.

`description`

  Type: `const gchar*`

  Description of what the password is for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GTlsPassword`

The newly allocated password object.

The caller of the function takes ownership of the data, and is responsible for freeing it.